Foreman - Feature #37010

Support safe navigation operator in safemode
12/21/2023 01:55 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Templates
Target version:
Difficulty: Fixed in Releases: 3.10.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9967,
https://github.com/theforeman/foreman/p
ull/10036,
https://github.com/theforeman/foreman/p
ull/10005,
https://github.com/theforeman/foreman/p
ull/10102
Description

Ruby 2.3 has implemented &. as the safe navigation operation. Safemode hasn't implemented this, which means code sometimes
needs to be written more verbose.

Associated revisions

Revision 93ac254d - 01/03/2024 11:01 AM - Ewoud Kohl van Wijngaarden

Fixes #37010 - Support safe navigation operator in safemode

Safemode 1.4.0 has added support for this. This makes sure that version
is included.

Revision 8c140b0a - 03/12/2024 04:55 PM - Bastian Schmidt

Refs #37010 - Ensure correct yaml for netplan

The introduced safe operator returns nil instead of false, but the
snippet expects true/false.

History

#1 - 12/21/2023 01:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9967 added

#2 - 01/03/2024 11:01 AM - The Foreman Bot
- Fixed in Releases 3.10.0 added

#3 - 01/03/2024 12:00 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|93ac254d954c46924a78860{86678ff81139fe89.

#4 - 02/02/2024 02:02 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10036 added

#5 - 02/05/2024 11:54 AM - The Foreman Bot
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/93ac254d954c46924a78860f86678ff81139fe89

- Pull request https://github.com/theforeman/foreman/pull/10005 added

#6 - 03/19/2024 02:15 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10102 added
